tasks/delete
DELETE
/scheduled-agents/{scheduled_agent_id}Delete a Task. Requires editor access and the configuration:write permission.
Request
cURL
curl -X DELETE "https://provisioning.cloudx.io/api/v1/scheduled-agents/{scheduled_agent_id}" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Path parameters
| Name | Type | Description |
|---|---|---|
scheduled_agent_idrequired | string | Task ID. |
Responses
Task deleted.
No response body.204Task deleted.
401Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
403Forbidden or feature unavailable.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
404Task not found.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
409Task has an active run.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |